Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

nixos/networking: Enhance hostId description #94800

Merged
merged 3 commits into from Aug 8, 2020
Merged

Conversation

@asdf8dfafjk
Copy link
Contributor

asdf8dfafjk commented Aug 6, 2020

Doc change

@@ -408,6 +408,9 @@ in
(this derives it from the machine-id that systemd generates) or
<literal>head -c4 /dev/urandom | od -A none -t x4</literal>
One use case is for ZFS to ensure that a pool isn't imported
accidentally on a wrong machine.

This comment has been minimized.

@flokli

flokli Aug 7, 2020 Contributor

Is there any other usecase than zfs? I recall having talked about this during the networkd hackathon while revisiting the options inside networking.

Back then, we wanted to investigate whether it's used elsewhere, and spoke about moving it to the zfs module, which would make this much clearer.

This comment has been minimized.

@asdf8dfafjk

asdf8dfafjk Aug 7, 2020 Author Contributor

As much as I'd like for host id to be a part of zfs for clarity as an end user, I suspect that it belongs in networking because there is an actual command called hostid in coreutils which indicates that it belongs outside of zfs.

That said, upon rg and reading files, I found 3 instances of hostId which do not relate to zfs

nixos/tests/bcachefs.nix:7:    
nixos/tests/overlayfs.nix:7:    
nixos/modules/system/boot/stage-1-init.sh:195:

Of these, 3th is half related to zfs but also mentions "spl". What's that I wonder?

This comment has been minimized.

@Mic92

Mic92 Aug 7, 2020 Contributor

SPL is the solaris porting layer. This was zfs abstraction layer in the past but now has been integrated into zfs itself. I suspect for the other tests in bcachefs and overlayfs someone just copy'n'pasted the host id from zfs.

@Mic92
Copy link
Contributor

Mic92 commented Aug 7, 2020

I fix the whitespace errors here: #94867

asdf8dfafjk and others added 2 commits Aug 8, 2020
Co-authored-by: Jörg Thalheim <Mic92@users.noreply.github.com>
@Mic92 Mic92 merged commit 8e52c2a into NixOS:master Aug 8, 2020
16 checks passed
16 checks passed
tests tests
Details
tests
Details
Evaluation Performance Report Evaluator Performance Report
Details
grahamcofborg-eval ^.^!
Details
grahamcofborg-eval-check-maintainers matching changed paths to changed attrs...
Details
grahamcofborg-eval-check-meta config.nix: checkMeta = true
Details
grahamcofborg-eval-darwin nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="6c4f222"; rev="6c4f222d80d3be0cdfe04337197b738a8630582b"; } ./pkgs/t
Details
grahamcofborg-eval-lib-tests nix-build --arg pkgs import ./. {} ./lib/tests/release.nix
Details
grahamcofborg-eval-nixos nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="6c4f222"; rev="6c4f222d80d3be0cdfe04337197b738a8630582b"; } ./nixos/
Details
grahamcofborg-eval-nixos-manual nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="6c4f222"; rev="6c4f222d80d3be0cdfe04337197b738a8630582b"; } ./nixos/
Details
grahamcofborg-eval-nixos-options nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="6c4f222"; rev="6c4f222d80d3be0cdfe04337197b738a8630582b"; } ./nixos/
Details
grahamcofborg-eval-nixpkgs-manual nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="6c4f222"; rev="6c4f222d80d3be0cdfe04337197b738a8630582b"; } ./pkgs/t
Details
grahamcofborg-eval-nixpkgs-tarball nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="6c4f222"; rev="6c4f222d80d3be0cdfe04337197b738a8630582b"; } ./pkgs/t
Details
grahamcofborg-eval-nixpkgs-unstable-jobset nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="6c4f222"; rev="6c4f222d80d3be0cdfe04337197b738a8630582b"; } ./pkgs/t
Details
grahamcofborg-eval-package-list nix-env -qa --json --file .
Details
grahamcofborg-eval-package-list-no-aliases nix-env -qa --json --file . --arg config { allowAliases = false; }
Details
github-actions bot added a commit to pbogdan/shell-cmd that referenced this pull request Aug 10, 2020
## Motivation

Dependencies should be up to date.

## Changelog for unstable:
Commits: [NixOS/nixpkgs@b50ef9a...96069f7d](NixOS/nixpkgs@b50ef9a...96069f7)

* [`e987c682`](NixOS/nixpkgs@e987c68) jalv: revert to gtk2 cause gtk3 wasn't showing the GUIs
* [`4fbe92df`](NixOS/nixpkgs@4fbe92d) amd-blis: init at 2.2
* [`fd2047c6`](NixOS/nixpkgs@fd2047c) nixos/lib/make-ext4-fs: fix after mkfs.ext4 refactoring
* [`892bd43d`](NixOS/nixpkgs@892bd43) awscli2: 2.0.26 -> 2.0.36
* [`6350ea25`](NixOS/nixpkgs@6350ea2) pythonPackags.plaid-python: 4.0.0 -> 6.0.0
* [`4d29e78c`](NixOS/nixpkgs@4d29e78) python27Packages.bitarray: 1.3.0 -> 1.5.0
* [`2d4f0bc9`](NixOS/nixpkgs@2d4f0bc) lxc: 4.0.3 -> 4.0.4
* [`a10a9a77`](NixOS/nixpkgs@a10a9a7) otfcc: fix aarch64 compatibility
* [`8fb410c0`](NixOS/nixpkgs@8fb410c) nixos/*: editorconfig fixes
* [`f20d864c`](NixOS/nixpkgs@f20d864) the-powder-toy: 94.1 -> 95.0
* [`8659095c`](NixOS/nixpkgs@8659095) vale: 2.2.2 -> 2.3.0
* [`3c375e0e`](NixOS/nixpkgs@3c375e0) pythonPackages.protobuf: Use default version of protobuf
* [`3e6f7d3b`](NixOS/nixpkgs@3e6f7d3) python3Packages.sacremoses: enable on all Unix platforms
* [`ac998199`](NixOS/nixpkgs@ac99819) python3Packages.transformers: enable on all Unix platforms
* [`208a219d`](NixOS/nixpkgs@208a219) kmetronome: init at 1.0.1
* [`32b7270c`](NixOS/nixpkgs@32b7270) range-v3: 0.10.0 -> 0.11.0 (NixOS/nixpkgs#94887)
* [`6866904f`](NixOS/nixpkgs@6866904) Revert NixOS/nixpkgs#93761: "audacity: 2.4.1 -> 2.4.2"
* [`e67b1c28`](NixOS/nixpkgs@e67b1c2) gns3-{gui,server}: 2.2.11 -> 2.2.12
* [`b5eb3228`](NixOS/nixpkgs@b5eb322) gollum: 5.0.1 -> 5.1
* [`a2498f5a`](NixOS/nixpkgs@a2498f5) gns3-gui: Replace qt5Full with wrapQtApp (proper solution)
* [`5e7d581f`](NixOS/nixpkgs@5e7d581) libhugetlbfs: init at 2.22
* [`397d06d2`](NixOS/nixpkgs@397d06d) jitsi: fix desktop category; patch
* [`03905638`](NixOS/nixpkgs@0390563) luaPackages.pulseaudio: remove (NixOS/nixpkgs#94939)
* [`e7987936`](NixOS/nixpkgs@e798793) tdesktop: Add a temporary workaround to fix the Linux build
* [`416b44da`](NixOS/nixpkgs@416b44d) effitask: init at 1.4.0
* [`98b96710`](NixOS/nixpkgs@98b9671) linux: 4.14.192 -> 4.14.193
* [`4376b9ab`](NixOS/nixpkgs@4376b9a) linux: 4.19.137 -> 4.19.138
* [`7964867f`](NixOS/nixpkgs@7964867) linux: 5.4.56 -> 5.4.57
* [`b4fc816b`](NixOS/nixpkgs@b4fc816) linux: 5.7.13 -> 5.7.14
* [`ddc91f6f`](NixOS/nixpkgs@ddc91f6) tanka: init at v0.11.1
* [`5debd8c0`](NixOS/nixpkgs@5debd8c) terraform-provider-keycloak: init at 1.20.0
* [`8315778d`](NixOS/nixpkgs@8315778) arduino-cli: init at 0.11.0
* [`d9f98bbe`](NixOS/nixpkgs@d9f98bb) wg-bond: init at 0.2.0
* [`8e52c2a6`](NixOS/nixpkgs@8e52c2a) nixos/networking: Enhance hostId description (NixOS/nixpkgs#94800)
* [`7a18043f`](NixOS/nixpkgs@7a18043) steam: chroot: export STEAM_LD_LIBRARY_PATH
* [`050ab81b`](NixOS/nixpkgs@050ab81) pythonPackages.dask-gateway: init at 0.8.0
* [`7b04c0ff`](NixOS/nixpkgs@7b04c0f) pythonPackages.dask-gateway-server: init at 0.8.0
* [`069d28d3`](NixOS/nixpkgs@069d28d) pythonPackages.uvcclient: init at 0.11.0
* [`b0110612`](NixOS/nixpkgs@b011061) home-assistant: regenerate component packages
* [`4d9dec0a`](NixOS/nixpkgs@4d9dec0) nixos/ipfs: add QUIC transport to swarmAddress list
* [`be9676bd`](NixOS/nixpkgs@be9676b) EmptyEpsilon: 2020-04-09 -> 2020-08-07
* [`3c7fe5bb`](NixOS/nixpkgs@3c7fe5b) python3Packages.dlib: 19.20 -> 19.21
* [`a797f7ce`](NixOS/nixpkgs@a797f7c) python3Packages.hass-nabucasa: relax cryptography dependency
* [`d6e21aa1`](NixOS/nixpkgs@d6e21aa) home-assistant: relax cryptography dependency
* [`a3b66fa6`](NixOS/nixpkgs@a3b66fa) python3Packages.dask: 2.14.0 -> 2.22.0
* [`f6988ba8`](NixOS/nixpkgs@f6988ba) python3Packages.streamz: 0.5.2 -> 0.5.4
* [`4d83f451`](NixOS/nixpkgs@4d83f45) python3Packages.stumpy: 1.0 -> 1.4
* [`c2566714`](NixOS/nixpkgs@c256671) python3Packages.dask-image: 0.2.0 -> 0.3.0
* [`bba261c7`](NixOS/nixpkgs@bba261c) caffe: fix build
* [`3f19239e`](NixOS/nixpkgs@3f19239) python3Packages.nix-kernel: init at 0.1
* [`d92cc4ce`](NixOS/nixpkgs@d92cc4c) maintainers: add elliottvillars
* [`e449d07a`](NixOS/nixpkgs@e449d07) pythonPackages.hdlparse: init at 1.0.4
* [`debf9a3f`](NixOS/nixpkgs@debf9a3) .editorconfig: add compilers/elm/registry.dat
* [`1439eaf0`](NixOS/nixpkgs@1439eaf) buildRustCrate: editorconfig fixes
* [`df53f4fd`](NixOS/nixpkgs@df53f4f) lokalise2: init at 2.6.0
* [`9ef63825`](NixOS/nixpkgs@9ef6382) .editorconfig: add upstream-updater
* [`2bc671bc`](NixOS/nixpkgs@2bc671b) vscode-extensions.ms-vscode.cpptools: 0.27.1 -> 0.29.0
* [`da65bc1c`](NixOS/nixpkgs@da65bc1) vscode-extensions.ms-python.python: 2020.3.71659 -> 2020.7.96456
* [`86c9e2c0`](NixOS/nixpkgs@86c9e2c) .github/workflows/editorconfig.yml: skip when diff is empty
* [`96069f7d`](NixOS/nixpkgs@96069f7) vmpk: fix build
github-actions bot added a commit to pbogdan/tag that referenced this pull request Aug 10, 2020
## Motivation

Dependencies should be up to date.

## Changelog for unstable:
Commits: [NixOS/nixpkgs@b50ef9a...96069f7d](NixOS/nixpkgs@b50ef9a...96069f7)

* [`e987c682`](NixOS/nixpkgs@e987c68) jalv: revert to gtk2 cause gtk3 wasn't showing the GUIs
* [`4fbe92df`](NixOS/nixpkgs@4fbe92d) amd-blis: init at 2.2
* [`fd2047c6`](NixOS/nixpkgs@fd2047c) nixos/lib/make-ext4-fs: fix after mkfs.ext4 refactoring
* [`892bd43d`](NixOS/nixpkgs@892bd43) awscli2: 2.0.26 -> 2.0.36
* [`6350ea25`](NixOS/nixpkgs@6350ea2) pythonPackags.plaid-python: 4.0.0 -> 6.0.0
* [`4d29e78c`](NixOS/nixpkgs@4d29e78) python27Packages.bitarray: 1.3.0 -> 1.5.0
* [`2d4f0bc9`](NixOS/nixpkgs@2d4f0bc) lxc: 4.0.3 -> 4.0.4
* [`a10a9a77`](NixOS/nixpkgs@a10a9a7) otfcc: fix aarch64 compatibility
* [`8fb410c0`](NixOS/nixpkgs@8fb410c) nixos/*: editorconfig fixes
* [`f20d864c`](NixOS/nixpkgs@f20d864) the-powder-toy: 94.1 -> 95.0
* [`8659095c`](NixOS/nixpkgs@8659095) vale: 2.2.2 -> 2.3.0
* [`3c375e0e`](NixOS/nixpkgs@3c375e0) pythonPackages.protobuf: Use default version of protobuf
* [`3e6f7d3b`](NixOS/nixpkgs@3e6f7d3) python3Packages.sacremoses: enable on all Unix platforms
* [`ac998199`](NixOS/nixpkgs@ac99819) python3Packages.transformers: enable on all Unix platforms
* [`208a219d`](NixOS/nixpkgs@208a219) kmetronome: init at 1.0.1
* [`32b7270c`](NixOS/nixpkgs@32b7270) range-v3: 0.10.0 -> 0.11.0 (NixOS/nixpkgs#94887)
* [`6866904f`](NixOS/nixpkgs@6866904) Revert NixOS/nixpkgs#93761: "audacity: 2.4.1 -> 2.4.2"
* [`e67b1c28`](NixOS/nixpkgs@e67b1c2) gns3-{gui,server}: 2.2.11 -> 2.2.12
* [`b5eb3228`](NixOS/nixpkgs@b5eb322) gollum: 5.0.1 -> 5.1
* [`a2498f5a`](NixOS/nixpkgs@a2498f5) gns3-gui: Replace qt5Full with wrapQtApp (proper solution)
* [`5e7d581f`](NixOS/nixpkgs@5e7d581) libhugetlbfs: init at 2.22
* [`397d06d2`](NixOS/nixpkgs@397d06d) jitsi: fix desktop category; patch
* [`03905638`](NixOS/nixpkgs@0390563) luaPackages.pulseaudio: remove (NixOS/nixpkgs#94939)
* [`e7987936`](NixOS/nixpkgs@e798793) tdesktop: Add a temporary workaround to fix the Linux build
* [`416b44da`](NixOS/nixpkgs@416b44d) effitask: init at 1.4.0
* [`98b96710`](NixOS/nixpkgs@98b9671) linux: 4.14.192 -> 4.14.193
* [`4376b9ab`](NixOS/nixpkgs@4376b9a) linux: 4.19.137 -> 4.19.138
* [`7964867f`](NixOS/nixpkgs@7964867) linux: 5.4.56 -> 5.4.57
* [`b4fc816b`](NixOS/nixpkgs@b4fc816) linux: 5.7.13 -> 5.7.14
* [`ddc91f6f`](NixOS/nixpkgs@ddc91f6) tanka: init at v0.11.1
* [`5debd8c0`](NixOS/nixpkgs@5debd8c) terraform-provider-keycloak: init at 1.20.0
* [`8315778d`](NixOS/nixpkgs@8315778) arduino-cli: init at 0.11.0
* [`d9f98bbe`](NixOS/nixpkgs@d9f98bb) wg-bond: init at 0.2.0
* [`8e52c2a6`](NixOS/nixpkgs@8e52c2a) nixos/networking: Enhance hostId description (NixOS/nixpkgs#94800)
* [`7a18043f`](NixOS/nixpkgs@7a18043) steam: chroot: export STEAM_LD_LIBRARY_PATH
* [`050ab81b`](NixOS/nixpkgs@050ab81) pythonPackages.dask-gateway: init at 0.8.0
* [`7b04c0ff`](NixOS/nixpkgs@7b04c0f) pythonPackages.dask-gateway-server: init at 0.8.0
* [`069d28d3`](NixOS/nixpkgs@069d28d) pythonPackages.uvcclient: init at 0.11.0
* [`b0110612`](NixOS/nixpkgs@b011061) home-assistant: regenerate component packages
* [`4d9dec0a`](NixOS/nixpkgs@4d9dec0) nixos/ipfs: add QUIC transport to swarmAddress list
* [`be9676bd`](NixOS/nixpkgs@be9676b) EmptyEpsilon: 2020-04-09 -> 2020-08-07
* [`3c7fe5bb`](NixOS/nixpkgs@3c7fe5b) python3Packages.dlib: 19.20 -> 19.21
* [`a797f7ce`](NixOS/nixpkgs@a797f7c) python3Packages.hass-nabucasa: relax cryptography dependency
* [`d6e21aa1`](NixOS/nixpkgs@d6e21aa) home-assistant: relax cryptography dependency
* [`a3b66fa6`](NixOS/nixpkgs@a3b66fa) python3Packages.dask: 2.14.0 -> 2.22.0
* [`f6988ba8`](NixOS/nixpkgs@f6988ba) python3Packages.streamz: 0.5.2 -> 0.5.4
* [`4d83f451`](NixOS/nixpkgs@4d83f45) python3Packages.stumpy: 1.0 -> 1.4
* [`c2566714`](NixOS/nixpkgs@c256671) python3Packages.dask-image: 0.2.0 -> 0.3.0
* [`bba261c7`](NixOS/nixpkgs@bba261c) caffe: fix build
* [`3f19239e`](NixOS/nixpkgs@3f19239) python3Packages.nix-kernel: init at 0.1
* [`d92cc4ce`](NixOS/nixpkgs@d92cc4c) maintainers: add elliottvillars
* [`e449d07a`](NixOS/nixpkgs@e449d07) pythonPackages.hdlparse: init at 1.0.4
* [`debf9a3f`](NixOS/nixpkgs@debf9a3) .editorconfig: add compilers/elm/registry.dat
* [`1439eaf0`](NixOS/nixpkgs@1439eaf) buildRustCrate: editorconfig fixes
* [`df53f4fd`](NixOS/nixpkgs@df53f4f) lokalise2: init at 2.6.0
* [`9ef63825`](NixOS/nixpkgs@9ef6382) .editorconfig: add upstream-updater
* [`2bc671bc`](NixOS/nixpkgs@2bc671b) vscode-extensions.ms-vscode.cpptools: 0.27.1 -> 0.29.0
* [`da65bc1c`](NixOS/nixpkgs@da65bc1) vscode-extensions.ms-python.python: 2020.3.71659 -> 2020.7.96456
* [`86c9e2c0`](NixOS/nixpkgs@86c9e2c) .github/workflows/editorconfig.yml: skip when diff is empty
* [`96069f7d`](NixOS/nixpkgs@96069f7) vmpk: fix build
github-actions bot added a commit to pbogdan/nix-hie that referenced this pull request Aug 10, 2020
## Motivation

Dependencies should be up to date.

## Changelog for unstable:
Commits: [NixOS/nixpkgs@b50ef9a...96069f7d](NixOS/nixpkgs@b50ef9a...96069f7)

* [`e987c682`](NixOS/nixpkgs@e987c68) jalv: revert to gtk2 cause gtk3 wasn't showing the GUIs
* [`4fbe92df`](NixOS/nixpkgs@4fbe92d) amd-blis: init at 2.2
* [`fd2047c6`](NixOS/nixpkgs@fd2047c) nixos/lib/make-ext4-fs: fix after mkfs.ext4 refactoring
* [`892bd43d`](NixOS/nixpkgs@892bd43) awscli2: 2.0.26 -> 2.0.36
* [`6350ea25`](NixOS/nixpkgs@6350ea2) pythonPackags.plaid-python: 4.0.0 -> 6.0.0
* [`4d29e78c`](NixOS/nixpkgs@4d29e78) python27Packages.bitarray: 1.3.0 -> 1.5.0
* [`2d4f0bc9`](NixOS/nixpkgs@2d4f0bc) lxc: 4.0.3 -> 4.0.4
* [`a10a9a77`](NixOS/nixpkgs@a10a9a7) otfcc: fix aarch64 compatibility
* [`8fb410c0`](NixOS/nixpkgs@8fb410c) nixos/*: editorconfig fixes
* [`f20d864c`](NixOS/nixpkgs@f20d864) the-powder-toy: 94.1 -> 95.0
* [`8659095c`](NixOS/nixpkgs@8659095) vale: 2.2.2 -> 2.3.0
* [`3c375e0e`](NixOS/nixpkgs@3c375e0) pythonPackages.protobuf: Use default version of protobuf
* [`3e6f7d3b`](NixOS/nixpkgs@3e6f7d3) python3Packages.sacremoses: enable on all Unix platforms
* [`ac998199`](NixOS/nixpkgs@ac99819) python3Packages.transformers: enable on all Unix platforms
* [`208a219d`](NixOS/nixpkgs@208a219) kmetronome: init at 1.0.1
* [`32b7270c`](NixOS/nixpkgs@32b7270) range-v3: 0.10.0 -> 0.11.0 (NixOS/nixpkgs#94887)
* [`6866904f`](NixOS/nixpkgs@6866904) Revert NixOS/nixpkgs#93761: "audacity: 2.4.1 -> 2.4.2"
* [`e67b1c28`](NixOS/nixpkgs@e67b1c2) gns3-{gui,server}: 2.2.11 -> 2.2.12
* [`b5eb3228`](NixOS/nixpkgs@b5eb322) gollum: 5.0.1 -> 5.1
* [`a2498f5a`](NixOS/nixpkgs@a2498f5) gns3-gui: Replace qt5Full with wrapQtApp (proper solution)
* [`5e7d581f`](NixOS/nixpkgs@5e7d581) libhugetlbfs: init at 2.22
* [`397d06d2`](NixOS/nixpkgs@397d06d) jitsi: fix desktop category; patch
* [`03905638`](NixOS/nixpkgs@0390563) luaPackages.pulseaudio: remove (NixOS/nixpkgs#94939)
* [`e7987936`](NixOS/nixpkgs@e798793) tdesktop: Add a temporary workaround to fix the Linux build
* [`416b44da`](NixOS/nixpkgs@416b44d) effitask: init at 1.4.0
* [`98b96710`](NixOS/nixpkgs@98b9671) linux: 4.14.192 -> 4.14.193
* [`4376b9ab`](NixOS/nixpkgs@4376b9a) linux: 4.19.137 -> 4.19.138
* [`7964867f`](NixOS/nixpkgs@7964867) linux: 5.4.56 -> 5.4.57
* [`b4fc816b`](NixOS/nixpkgs@b4fc816) linux: 5.7.13 -> 5.7.14
* [`ddc91f6f`](NixOS/nixpkgs@ddc91f6) tanka: init at v0.11.1
* [`5debd8c0`](NixOS/nixpkgs@5debd8c) terraform-provider-keycloak: init at 1.20.0
* [`8315778d`](NixOS/nixpkgs@8315778) arduino-cli: init at 0.11.0
* [`d9f98bbe`](NixOS/nixpkgs@d9f98bb) wg-bond: init at 0.2.0
* [`8e52c2a6`](NixOS/nixpkgs@8e52c2a) nixos/networking: Enhance hostId description (NixOS/nixpkgs#94800)
* [`7a18043f`](NixOS/nixpkgs@7a18043) steam: chroot: export STEAM_LD_LIBRARY_PATH
* [`050ab81b`](NixOS/nixpkgs@050ab81) pythonPackages.dask-gateway: init at 0.8.0
* [`7b04c0ff`](NixOS/nixpkgs@7b04c0f) pythonPackages.dask-gateway-server: init at 0.8.0
* [`069d28d3`](NixOS/nixpkgs@069d28d) pythonPackages.uvcclient: init at 0.11.0
* [`b0110612`](NixOS/nixpkgs@b011061) home-assistant: regenerate component packages
* [`4d9dec0a`](NixOS/nixpkgs@4d9dec0) nixos/ipfs: add QUIC transport to swarmAddress list
* [`be9676bd`](NixOS/nixpkgs@be9676b) EmptyEpsilon: 2020-04-09 -> 2020-08-07
* [`3c7fe5bb`](NixOS/nixpkgs@3c7fe5b) python3Packages.dlib: 19.20 -> 19.21
* [`a797f7ce`](NixOS/nixpkgs@a797f7c) python3Packages.hass-nabucasa: relax cryptography dependency
* [`d6e21aa1`](NixOS/nixpkgs@d6e21aa) home-assistant: relax cryptography dependency
* [`a3b66fa6`](NixOS/nixpkgs@a3b66fa) python3Packages.dask: 2.14.0 -> 2.22.0
* [`f6988ba8`](NixOS/nixpkgs@f6988ba) python3Packages.streamz: 0.5.2 -> 0.5.4
* [`4d83f451`](NixOS/nixpkgs@4d83f45) python3Packages.stumpy: 1.0 -> 1.4
* [`c2566714`](NixOS/nixpkgs@c256671) python3Packages.dask-image: 0.2.0 -> 0.3.0
* [`bba261c7`](NixOS/nixpkgs@bba261c) caffe: fix build
* [`3f19239e`](NixOS/nixpkgs@3f19239) python3Packages.nix-kernel: init at 0.1
* [`d92cc4ce`](NixOS/nixpkgs@d92cc4c) maintainers: add elliottvillars
* [`e449d07a`](NixOS/nixpkgs@e449d07) pythonPackages.hdlparse: init at 1.0.4
* [`debf9a3f`](NixOS/nixpkgs@debf9a3) .editorconfig: add compilers/elm/registry.dat
* [`1439eaf0`](NixOS/nixpkgs@1439eaf) buildRustCrate: editorconfig fixes
* [`df53f4fd`](NixOS/nixpkgs@df53f4f) lokalise2: init at 2.6.0
* [`9ef63825`](NixOS/nixpkgs@9ef6382) .editorconfig: add upstream-updater
* [`2bc671bc`](NixOS/nixpkgs@2bc671b) vscode-extensions.ms-vscode.cpptools: 0.27.1 -> 0.29.0
* [`da65bc1c`](NixOS/nixpkgs@da65bc1) vscode-extensions.ms-python.python: 2020.3.71659 -> 2020.7.96456
* [`86c9e2c0`](NixOS/nixpkgs@86c9e2c) .github/workflows/editorconfig.yml: skip when diff is empty
* [`96069f7d`](NixOS/nixpkgs@96069f7) vmpk: fix build
github-actions bot added a commit to pbogdan/nvs that referenced this pull request Aug 10, 2020
## Motivation

Dependencies should be up to date.

## Changelog for unstable:
Commits: [NixOS/nixpkgs@b50ef9a...96069f7d](NixOS/nixpkgs@b50ef9a...96069f7)

* [`e987c682`](NixOS/nixpkgs@e987c68) jalv: revert to gtk2 cause gtk3 wasn't showing the GUIs
* [`4fbe92df`](NixOS/nixpkgs@4fbe92d) amd-blis: init at 2.2
* [`fd2047c6`](NixOS/nixpkgs@fd2047c) nixos/lib/make-ext4-fs: fix after mkfs.ext4 refactoring
* [`892bd43d`](NixOS/nixpkgs@892bd43) awscli2: 2.0.26 -> 2.0.36
* [`6350ea25`](NixOS/nixpkgs@6350ea2) pythonPackags.plaid-python: 4.0.0 -> 6.0.0
* [`4d29e78c`](NixOS/nixpkgs@4d29e78) python27Packages.bitarray: 1.3.0 -> 1.5.0
* [`2d4f0bc9`](NixOS/nixpkgs@2d4f0bc) lxc: 4.0.3 -> 4.0.4
* [`a10a9a77`](NixOS/nixpkgs@a10a9a7) otfcc: fix aarch64 compatibility
* [`8fb410c0`](NixOS/nixpkgs@8fb410c) nixos/*: editorconfig fixes
* [`f20d864c`](NixOS/nixpkgs@f20d864) the-powder-toy: 94.1 -> 95.0
* [`8659095c`](NixOS/nixpkgs@8659095) vale: 2.2.2 -> 2.3.0
* [`3c375e0e`](NixOS/nixpkgs@3c375e0) pythonPackages.protobuf: Use default version of protobuf
* [`3e6f7d3b`](NixOS/nixpkgs@3e6f7d3) python3Packages.sacremoses: enable on all Unix platforms
* [`ac998199`](NixOS/nixpkgs@ac99819) python3Packages.transformers: enable on all Unix platforms
* [`208a219d`](NixOS/nixpkgs@208a219) kmetronome: init at 1.0.1
* [`32b7270c`](NixOS/nixpkgs@32b7270) range-v3: 0.10.0 -> 0.11.0 (NixOS/nixpkgs#94887)
* [`6866904f`](NixOS/nixpkgs@6866904) Revert NixOS/nixpkgs#93761: "audacity: 2.4.1 -> 2.4.2"
* [`e67b1c28`](NixOS/nixpkgs@e67b1c2) gns3-{gui,server}: 2.2.11 -> 2.2.12
* [`b5eb3228`](NixOS/nixpkgs@b5eb322) gollum: 5.0.1 -> 5.1
* [`a2498f5a`](NixOS/nixpkgs@a2498f5) gns3-gui: Replace qt5Full with wrapQtApp (proper solution)
* [`5e7d581f`](NixOS/nixpkgs@5e7d581) libhugetlbfs: init at 2.22
* [`397d06d2`](NixOS/nixpkgs@397d06d) jitsi: fix desktop category; patch
* [`03905638`](NixOS/nixpkgs@0390563) luaPackages.pulseaudio: remove (NixOS/nixpkgs#94939)
* [`e7987936`](NixOS/nixpkgs@e798793) tdesktop: Add a temporary workaround to fix the Linux build
* [`416b44da`](NixOS/nixpkgs@416b44d) effitask: init at 1.4.0
* [`98b96710`](NixOS/nixpkgs@98b9671) linux: 4.14.192 -> 4.14.193
* [`4376b9ab`](NixOS/nixpkgs@4376b9a) linux: 4.19.137 -> 4.19.138
* [`7964867f`](NixOS/nixpkgs@7964867) linux: 5.4.56 -> 5.4.57
* [`b4fc816b`](NixOS/nixpkgs@b4fc816) linux: 5.7.13 -> 5.7.14
* [`ddc91f6f`](NixOS/nixpkgs@ddc91f6) tanka: init at v0.11.1
* [`5debd8c0`](NixOS/nixpkgs@5debd8c) terraform-provider-keycloak: init at 1.20.0
* [`8315778d`](NixOS/nixpkgs@8315778) arduino-cli: init at 0.11.0
* [`d9f98bbe`](NixOS/nixpkgs@d9f98bb) wg-bond: init at 0.2.0
* [`8e52c2a6`](NixOS/nixpkgs@8e52c2a) nixos/networking: Enhance hostId description (NixOS/nixpkgs#94800)
* [`7a18043f`](NixOS/nixpkgs@7a18043) steam: chroot: export STEAM_LD_LIBRARY_PATH
* [`050ab81b`](NixOS/nixpkgs@050ab81) pythonPackages.dask-gateway: init at 0.8.0
* [`7b04c0ff`](NixOS/nixpkgs@7b04c0f) pythonPackages.dask-gateway-server: init at 0.8.0
* [`069d28d3`](NixOS/nixpkgs@069d28d) pythonPackages.uvcclient: init at 0.11.0
* [`b0110612`](NixOS/nixpkgs@b011061) home-assistant: regenerate component packages
* [`4d9dec0a`](NixOS/nixpkgs@4d9dec0) nixos/ipfs: add QUIC transport to swarmAddress list
* [`be9676bd`](NixOS/nixpkgs@be9676b) EmptyEpsilon: 2020-04-09 -> 2020-08-07
* [`3c7fe5bb`](NixOS/nixpkgs@3c7fe5b) python3Packages.dlib: 19.20 -> 19.21
* [`a797f7ce`](NixOS/nixpkgs@a797f7c) python3Packages.hass-nabucasa: relax cryptography dependency
* [`d6e21aa1`](NixOS/nixpkgs@d6e21aa) home-assistant: relax cryptography dependency
* [`a3b66fa6`](NixOS/nixpkgs@a3b66fa) python3Packages.dask: 2.14.0 -> 2.22.0
* [`f6988ba8`](NixOS/nixpkgs@f6988ba) python3Packages.streamz: 0.5.2 -> 0.5.4
* [`4d83f451`](NixOS/nixpkgs@4d83f45) python3Packages.stumpy: 1.0 -> 1.4
* [`c2566714`](NixOS/nixpkgs@c256671) python3Packages.dask-image: 0.2.0 -> 0.3.0
* [`bba261c7`](NixOS/nixpkgs@bba261c) caffe: fix build
* [`3f19239e`](NixOS/nixpkgs@3f19239) python3Packages.nix-kernel: init at 0.1
* [`d92cc4ce`](NixOS/nixpkgs@d92cc4c) maintainers: add elliottvillars
* [`e449d07a`](NixOS/nixpkgs@e449d07) pythonPackages.hdlparse: init at 1.0.4
* [`debf9a3f`](NixOS/nixpkgs@debf9a3) .editorconfig: add compilers/elm/registry.dat
* [`1439eaf0`](NixOS/nixpkgs@1439eaf) buildRustCrate: editorconfig fixes
* [`df53f4fd`](NixOS/nixpkgs@df53f4f) lokalise2: init at 2.6.0
* [`9ef63825`](NixOS/nixpkgs@9ef6382) .editorconfig: add upstream-updater
* [`2bc671bc`](NixOS/nixpkgs@2bc671b) vscode-extensions.ms-vscode.cpptools: 0.27.1 -> 0.29.0
* [`da65bc1c`](NixOS/nixpkgs@da65bc1) vscode-extensions.ms-python.python: 2020.3.71659 -> 2020.7.96456
* [`86c9e2c0`](NixOS/nixpkgs@86c9e2c) .github/workflows/editorconfig.yml: skip when diff is empty
* [`96069f7d`](NixOS/nixpkgs@96069f7) vmpk: fix build
github-actions bot added a commit to pbogdan/nix-nerd-fonts that referenced this pull request Aug 10, 2020
## Motivation

Dependencies should be up to date.

## Changelog for unstable:
Commits: [NixOS/nixpkgs@b50ef9a...96069f7d](NixOS/nixpkgs@b50ef9a...96069f7)

* [`e987c682`](NixOS/nixpkgs@e987c68) jalv: revert to gtk2 cause gtk3 wasn't showing the GUIs
* [`4fbe92df`](NixOS/nixpkgs@4fbe92d) amd-blis: init at 2.2
* [`fd2047c6`](NixOS/nixpkgs@fd2047c) nixos/lib/make-ext4-fs: fix after mkfs.ext4 refactoring
* [`892bd43d`](NixOS/nixpkgs@892bd43) awscli2: 2.0.26 -> 2.0.36
* [`6350ea25`](NixOS/nixpkgs@6350ea2) pythonPackags.plaid-python: 4.0.0 -> 6.0.0
* [`4d29e78c`](NixOS/nixpkgs@4d29e78) python27Packages.bitarray: 1.3.0 -> 1.5.0
* [`2d4f0bc9`](NixOS/nixpkgs@2d4f0bc) lxc: 4.0.3 -> 4.0.4
* [`a10a9a77`](NixOS/nixpkgs@a10a9a7) otfcc: fix aarch64 compatibility
* [`8fb410c0`](NixOS/nixpkgs@8fb410c) nixos/*: editorconfig fixes
* [`f20d864c`](NixOS/nixpkgs@f20d864) the-powder-toy: 94.1 -> 95.0
* [`8659095c`](NixOS/nixpkgs@8659095) vale: 2.2.2 -> 2.3.0
* [`3c375e0e`](NixOS/nixpkgs@3c375e0) pythonPackages.protobuf: Use default version of protobuf
* [`3e6f7d3b`](NixOS/nixpkgs@3e6f7d3) python3Packages.sacremoses: enable on all Unix platforms
* [`ac998199`](NixOS/nixpkgs@ac99819) python3Packages.transformers: enable on all Unix platforms
* [`208a219d`](NixOS/nixpkgs@208a219) kmetronome: init at 1.0.1
* [`32b7270c`](NixOS/nixpkgs@32b7270) range-v3: 0.10.0 -> 0.11.0 (NixOS/nixpkgs#94887)
* [`6866904f`](NixOS/nixpkgs@6866904) Revert NixOS/nixpkgs#93761: "audacity: 2.4.1 -> 2.4.2"
* [`e67b1c28`](NixOS/nixpkgs@e67b1c2) gns3-{gui,server}: 2.2.11 -> 2.2.12
* [`b5eb3228`](NixOS/nixpkgs@b5eb322) gollum: 5.0.1 -> 5.1
* [`a2498f5a`](NixOS/nixpkgs@a2498f5) gns3-gui: Replace qt5Full with wrapQtApp (proper solution)
* [`5e7d581f`](NixOS/nixpkgs@5e7d581) libhugetlbfs: init at 2.22
* [`397d06d2`](NixOS/nixpkgs@397d06d) jitsi: fix desktop category; patch
* [`03905638`](NixOS/nixpkgs@0390563) luaPackages.pulseaudio: remove (NixOS/nixpkgs#94939)
* [`e7987936`](NixOS/nixpkgs@e798793) tdesktop: Add a temporary workaround to fix the Linux build
* [`416b44da`](NixOS/nixpkgs@416b44d) effitask: init at 1.4.0
* [`98b96710`](NixOS/nixpkgs@98b9671) linux: 4.14.192 -> 4.14.193
* [`4376b9ab`](NixOS/nixpkgs@4376b9a) linux: 4.19.137 -> 4.19.138
* [`7964867f`](NixOS/nixpkgs@7964867) linux: 5.4.56 -> 5.4.57
* [`b4fc816b`](NixOS/nixpkgs@b4fc816) linux: 5.7.13 -> 5.7.14
* [`ddc91f6f`](NixOS/nixpkgs@ddc91f6) tanka: init at v0.11.1
* [`5debd8c0`](NixOS/nixpkgs@5debd8c) terraform-provider-keycloak: init at 1.20.0
* [`8315778d`](NixOS/nixpkgs@8315778) arduino-cli: init at 0.11.0
* [`d9f98bbe`](NixOS/nixpkgs@d9f98bb) wg-bond: init at 0.2.0
* [`8e52c2a6`](NixOS/nixpkgs@8e52c2a) nixos/networking: Enhance hostId description (NixOS/nixpkgs#94800)
* [`7a18043f`](NixOS/nixpkgs@7a18043) steam: chroot: export STEAM_LD_LIBRARY_PATH
* [`050ab81b`](NixOS/nixpkgs@050ab81) pythonPackages.dask-gateway: init at 0.8.0
* [`7b04c0ff`](NixOS/nixpkgs@7b04c0f) pythonPackages.dask-gateway-server: init at 0.8.0
* [`069d28d3`](NixOS/nixpkgs@069d28d) pythonPackages.uvcclient: init at 0.11.0
* [`b0110612`](NixOS/nixpkgs@b011061) home-assistant: regenerate component packages
* [`4d9dec0a`](NixOS/nixpkgs@4d9dec0) nixos/ipfs: add QUIC transport to swarmAddress list
* [`be9676bd`](NixOS/nixpkgs@be9676b) EmptyEpsilon: 2020-04-09 -> 2020-08-07
* [`3c7fe5bb`](NixOS/nixpkgs@3c7fe5b) python3Packages.dlib: 19.20 -> 19.21
* [`a797f7ce`](NixOS/nixpkgs@a797f7c) python3Packages.hass-nabucasa: relax cryptography dependency
* [`d6e21aa1`](NixOS/nixpkgs@d6e21aa) home-assistant: relax cryptography dependency
* [`a3b66fa6`](NixOS/nixpkgs@a3b66fa) python3Packages.dask: 2.14.0 -> 2.22.0
* [`f6988ba8`](NixOS/nixpkgs@f6988ba) python3Packages.streamz: 0.5.2 -> 0.5.4
* [`4d83f451`](NixOS/nixpkgs@4d83f45) python3Packages.stumpy: 1.0 -> 1.4
* [`c2566714`](NixOS/nixpkgs@c256671) python3Packages.dask-image: 0.2.0 -> 0.3.0
* [`bba261c7`](NixOS/nixpkgs@bba261c) caffe: fix build
* [`3f19239e`](NixOS/nixpkgs@3f19239) python3Packages.nix-kernel: init at 0.1
* [`d92cc4ce`](NixOS/nixpkgs@d92cc4c) maintainers: add elliottvillars
* [`e449d07a`](NixOS/nixpkgs@e449d07) pythonPackages.hdlparse: init at 1.0.4
* [`debf9a3f`](NixOS/nixpkgs@debf9a3) .editorconfig: add compilers/elm/registry.dat
* [`1439eaf0`](NixOS/nixpkgs@1439eaf) buildRustCrate: editorconfig fixes
* [`df53f4fd`](NixOS/nixpkgs@df53f4f) lokalise2: init at 2.6.0
* [`9ef63825`](NixOS/nixpkgs@9ef6382) .editorconfig: add upstream-updater
* [`2bc671bc`](NixOS/nixpkgs@2bc671b) vscode-extensions.ms-vscode.cpptools: 0.27.1 -> 0.29.0
* [`da65bc1c`](NixOS/nixpkgs@da65bc1) vscode-extensions.ms-python.python: 2020.3.71659 -> 2020.7.96456
* [`86c9e2c0`](NixOS/nixpkgs@86c9e2c) .github/workflows/editorconfig.yml: skip when diff is empty
* [`96069f7d`](NixOS/nixpkgs@96069f7) vmpk: fix build
github-actions bot added a commit to lovesegfault/nix-config that referenced this pull request Aug 12, 2020
## Changelog for nixpkgs:
Commits: [NixOS/nixpkgs@8e2b14a...32b46dd8](NixOS/nixpkgs@8e2b14a...32b46dd)

* [`585e00a3`](NixOS/nixpkgs@585e00a) imgproxy: 2.14.0 -> 2.14.1
* [`0ca9e6b2`](NixOS/nixpkgs@0ca9e6b) ghq: 1.1.2 -> 1.1.5
* [`31e67d68`](NixOS/nixpkgs@31e67d6) giada: 0.16.3 -> 0.16.3.1
* [`6e276d36`](NixOS/nixpkgs@6e276d3) dbmate: 1.9.0 -> 1.9.1
* [`30469ea4`](NixOS/nixpkgs@30469ea) grml-zsh-config: 0.17.3 -> 0.17.4
* [`37e6ac04`](NixOS/nixpkgs@37e6ac0) flyctl: 0.0.135 -> 0.0.137
* [`9175f114`](NixOS/nixpkgs@9175f11) fwts: 20.06.01 -> 20.07.00
* [`c337ad41`](NixOS/nixpkgs@c337ad4) cockroachdb: 20.1.2 -> 20.1.3
* [`2cfff96e`](NixOS/nixpkgs@2cfff96) qtwebkit: 5.212-alpha-01-26-2018 -> 5.212.0-alpha4
* [`014d494e`](NixOS/nixpkgs@014d494) faudio: 20.07 -> 20.08
* [`3a49eaa7`](NixOS/nixpkgs@3a49eaa) mnemosyne: 2.7.1 -> 2.7.2
* [`6d85f8d5`](NixOS/nixpkgs@6d85f8d) python27Packages.braintree: 4.2.0 -> 4.3.0
* [`585aa266`](NixOS/nixpkgs@585aa26) gitlab-runner: 13.2.0 -> 13.2.2 (NixOS/nixpkgs#94818)
* [`febbcb62`](NixOS/nixpkgs@febbcb6) nim: 1.2.4 -> 1.2.6
* [`0ca30931`](NixOS/nixpkgs@0ca3093) snapper: 0.8.10 -> 0.8.12
* [`3012ed98`](NixOS/nixpkgs@3012ed9) waybar: 0.9.2 -> 0.9.3
* [`6c2f1e7f`](NixOS/nixpkgs@6c2f1e7) octopus: 9.2 -> 10.0
* [`91da8094`](NixOS/nixpkgs@91da809) thunderbird-bin: 78.1.0 -> 78.1.1
* [`821146db`](NixOS/nixpkgs@821146d) thunderbird: 78.1.0 -> 78.1.1
* [`1e99541b`](NixOS/nixpkgs@1e99541) thunderbird-bin: 68.10.0 -> 68.11.0
* [`997e6315`](NixOS/nixpkgs@997e631) thunderbird: 68.10.0 -> 68.11.0
* [`ba930d86`](NixOS/nixpkgs@ba930d8) nixos/modules: remove trailing whitespace
* [`49ef0fd5`](NixOS/nixpkgs@49ef0fd) rocclr: fix build (no OpenCL library is required)
* [`3f13e1af`](NixOS/nixpkgs@3f13e1a) openmpi: enable C++ bindings
* [`da88c6ee`](NixOS/nixpkgs@da88c6e) nixos/railcar: fix typo
* [`9bae9409`](NixOS/nixpkgs@9bae940) mame: 0.222 -> 0.223 (NixOS/nixpkgs#94853)
* [`dd25bb75`](NixOS/nixpkgs@dd25bb7) cgal: add patch so include files can be found by dependent packages
* [`2b09ecd1`](NixOS/nixpkgs@2b09ecd) pythonPackages.cot: init at 2.2.1
* [`a10a9a77`](NixOS/nixpkgs@a10a9a7) otfcc: fix aarch64 compatibility
* [`8af72d55`](NixOS/nixpkgs@8af72d5) osu-lazer: osu-lazer: 2020.801.0 -> 2020.806.0
* [`4efcd73d`](NixOS/nixpkgs@4efcd73) azure-cli: pin cryptography
* [`ce10e04a`](NixOS/nixpkgs@ce10e04) cramfsprogs: init at 1.1
* [`07ea06b1`](NixOS/nixpkgs@07ea06b) cramfsswap: Make binary available
* [`35c702cc`](NixOS/nixpkgs@35c702c) pythonPackages.binwalk: add dependencies
* [`e165f419`](NixOS/nixpkgs@e165f41) LTS Haskell 16.8
* [`9613e64f`](NixOS/nixpkgs@9613e64) hackage2nix: update list of broken packages to fix evaluation errors
* [`7b3dbe3d`](NixOS/nixpkgs@7b3dbe3) ghc-{8.8.3, 8.8.4, 8.10.1}: fix typos
* [`81475fab`](NixOS/nixpkgs@81475fa) hackage-packages.nix: automatic Haskell package set update
* [`a08c537c`](NixOS/nixpkgs@a08c537) ghc-8.10.x: update override for dhall
* [`b38e6cf1`](NixOS/nixpkgs@b38e6cf) ghc-8.10.x: update override for optics-core
* [`f50a34bb`](NixOS/nixpkgs@f50a34b) haskell-lsp-test: update override to the latest version
* [`ed162342`](NixOS/nixpkgs@ed16234) ghcHEAD: 8.11.20200505 -> 8.11.20200731
* [`adcaeef3`](NixOS/nixpkgs@adcaeef) wob: 0.8 -> 0.9
* [`036d9248`](NixOS/nixpkgs@036d924) python3Packages.vega: fix build
* [`c9c957d4`](NixOS/nixpkgs@c9c957d) gopls: 0.4.3 -> 0.4.4 (NixOS/nixpkgs#94888)
* [`2204f74b`](NixOS/nixpkgs@2204f74) hdhomerun-config-gui: init at 20200521
* [`e768fce7`](NixOS/nixpkgs@e768fce) libhdhomerun: add comment about UDP firewall rule
* [`716cd39e`](NixOS/nixpkgs@716cd39) qt-video-wlr: init at 2020-08-03
* [`c10db9c1`](NixOS/nixpkgs@c10db9c) bazelisk: 1.5.0 -> 1.6.0
* [`8fb410c0`](NixOS/nixpkgs@8fb410c) nixos/*: editorconfig fixes
* [`f20d864c`](NixOS/nixpkgs@f20d864) the-powder-toy: 94.1 -> 95.0
* [`8659095c`](NixOS/nixpkgs@8659095) vale: 2.2.2 -> 2.3.0
* [`84d26ecb`](NixOS/nixpkgs@84d26ec) asdf: don't restrict to linux, since darwin works too
* [`102864c2`](NixOS/nixpkgs@102864c) pythonPackages.jupyterhub: 1.0.0 -> 1.1.0
* [`b794182c`](NixOS/nixpkgs@b794182) pythonPackages.jupyter-telemetry: init at 0.1.0
* [`86fbad84`](NixOS/nixpkgs@86fbad8) ocamlPackages.lua-ml: 0.9 → 0.9.1
* [`d7ea32d9`](NixOS/nixpkgs@d7ea32d) rclone: 1.52.2 -> 1.52.3
* [`a80b05f4`](NixOS/nixpkgs@a80b05f) rclone: add marsam to maintainers
* [`b8dfca14`](NixOS/nixpkgs@b8dfca1) coq_8_12: 8.12+β1 → 8.12.0
* [`99f6fe15`](NixOS/nixpkgs@99f6fe1) pythonPackages.batchspawer: init at 1.0.0
* [`dcde3405`](NixOS/nixpkgs@dcde340) pythonPackages.dockerspawner: init at 0.11.1
* [`5d22e3ce`](NixOS/nixpkgs@5d22e3c) electrum: 3.3.8 -> 4.0.2
* [`3c375e0e`](NixOS/nixpkgs@3c375e0) pythonPackages.protobuf: Use default version of protobuf
* [`18b5eb3f`](NixOS/nixpkgs@18b5eb3) kodi: 18.6 -> 18.8
* [`3e6f7d3b`](NixOS/nixpkgs@3e6f7d3) python3Packages.sacremoses: enable on all Unix platforms
* [`ac998199`](NixOS/nixpkgs@ac99819) python3Packages.transformers: enable on all Unix platforms
* [`fa2b8b01`](NixOS/nixpkgs@fa2b8b0) maintainers.0x4A6F: update email
* [`cb8a5e5b`](NixOS/nixpkgs@cb8a5e5) spaceship-prompt: install prompt_spaceship_setup (NixOS/nixpkgs#94604)
* [`6ffc0fd6`](NixOS/nixpkgs@6ffc0fd) python3Packages.pytorch: fix Darwin build by disabling GCD
* [`bc7b404b`](NixOS/nixpkgs@bc7b404) python3Packages.pytorch: fix library names in lib output on Darwin
* [`ddd897c2`](NixOS/nixpkgs@ddd897c) prosody: update community modules to revision 2dcbc01c9931
* [`208a219d`](NixOS/nixpkgs@208a219) kmetronome: init at 1.0.1
* [`32b7270c`](NixOS/nixpkgs@32b7270) range-v3: 0.10.0 -> 0.11.0 (NixOS/nixpkgs#94887)
* [`6866904f`](NixOS/nixpkgs@6866904) Revert NixOS/nixpkgs#93761: "audacity: 2.4.1 -> 2.4.2"
* [`e67b1c28`](NixOS/nixpkgs@e67b1c2) gns3-{gui,server}: 2.2.11 -> 2.2.12
* [`b5eb3228`](NixOS/nixpkgs@b5eb322) gollum: 5.0.1 -> 5.1
* [`a2498f5a`](NixOS/nixpkgs@a2498f5) gns3-gui: Replace qt5Full with wrapQtApp (proper solution)
* [`5e7d581f`](NixOS/nixpkgs@5e7d581) libhugetlbfs: init at 2.22
* [`397d06d2`](NixOS/nixpkgs@397d06d) jitsi: fix desktop category; patch
* [`03905638`](NixOS/nixpkgs@0390563) luaPackages.pulseaudio: remove (NixOS/nixpkgs#94939)
* [`e7987936`](NixOS/nixpkgs@e798793) tdesktop: Add a temporary workaround to fix the Linux build
* [`416b44da`](NixOS/nixpkgs@416b44d) effitask: init at 1.4.0
* [`98b96710`](NixOS/nixpkgs@98b9671) linux: 4.14.192 -> 4.14.193
* [`4376b9ab`](NixOS/nixpkgs@4376b9a) linux: 4.19.137 -> 4.19.138
* [`7964867f`](NixOS/nixpkgs@7964867) linux: 5.4.56 -> 5.4.57
* [`b4fc816b`](NixOS/nixpkgs@b4fc816) linux: 5.7.13 -> 5.7.14
* [`ddc91f6f`](NixOS/nixpkgs@ddc91f6) tanka: init at v0.11.1
* [`5debd8c0`](NixOS/nixpkgs@5debd8c) terraform-provider-keycloak: init at 1.20.0
* [`8315778d`](NixOS/nixpkgs@8315778) arduino-cli: init at 0.11.0
* [`d9f98bbe`](NixOS/nixpkgs@d9f98bb) wg-bond: init at 0.2.0
* [`c5b578cf`](NixOS/nixpkgs@c5b578c) jicofo: 1.0-589 -> 1.0-612
* [`8e52c2a6`](NixOS/nixpkgs@8e52c2a) nixos/networking: Enhance hostId description (NixOS/nixpkgs#94800)
* [`44906f07`](NixOS/nixpkgs@44906f0) jitsi-videobridge: 2.1-202-g5f9377b9 -> 2.1-273-g072dd44b
* [`ddacd5d0`](NixOS/nixpkgs@ddacd5d) jitsi-meet: 1.0.4127 -> 1.0.4289
* [`7a18043f`](NixOS/nixpkgs@7a18043) steam: chroot: export STEAM_LD_LIBRARY_PATH
* [`050ab81b`](NixOS/nixpkgs@050ab81) pythonPackages.dask-gateway: init at 0.8.0
* [`7b04c0ff`](NixOS/nixpkgs@7b04c0f) pythonPackages.dask-gateway-server: init at 0.8.0
* [`069d28d3`](NixOS/nixpkgs@069d28d) pythonPackages.uvcclient: init at 0.11.0
* [`b0110612`](NixOS/nixpkgs@b011061) home-assistant: regenerate component packages
* [`4d9dec0a`](NixOS/nixpkgs@4d9dec0) nixos/ipfs: add QUIC transport to swarmAddress list
* [`732334c1`](NixOS/nixpkgs@732334c) shadowsocks-rust: 1.8.13 -> 1.8.14
* [`be9676bd`](NixOS/nixpkgs@be9676b) EmptyEpsilon: 2020-04-09 -> 2020-08-07
* [`3c7fe5bb`](NixOS/nixpkgs@3c7fe5b) python3Packages.dlib: 19.20 -> 19.21
* [`142da76d`](NixOS/nixpkgs@142da76) gitAndTools.delta: 0.4.0 -> 0.4.1
* [`a797f7ce`](NixOS/nixpkgs@a797f7c) python3Packages.hass-nabucasa: relax cryptography dependency
* [`d6e21aa1`](NixOS/nixpkgs@d6e21aa) home-assistant: relax cryptography dependency
* [`236aa441`](NixOS/nixpkgs@236aa44) tre-command: 0.3.1 -> 0.3.2
* [`a3b66fa6`](NixOS/nixpkgs@a3b66fa) python3Packages.dask: 2.14.0 -> 2.22.0
* [`f6988ba8`](NixOS/nixpkgs@f6988ba) python3Packages.streamz: 0.5.2 -> 0.5.4
* [`4d83f451`](NixOS/nixpkgs@4d83f45) python3Packages.stumpy: 1.0 -> 1.4
* [`c2566714`](NixOS/nixpkgs@c256671) python3Packages.dask-image: 0.2.0 -> 0.3.0
* [`bba261c7`](NixOS/nixpkgs@bba261c) caffe: fix build
* [`23c9c95a`](NixOS/nixpkgs@23c9c95) openrgb: 0.2 -> 0.3
* [`3f19239e`](NixOS/nixpkgs@3f19239) python3Packages.nix-kernel: init at 0.1
* [`d92cc4ce`](NixOS/nixpkgs@d92cc4c) maintainers: add elliottvillars
* [`e449d07a`](NixOS/nixpkgs@e449d07) pythonPackages.hdlparse: init at 1.0.4
* [`debf9a3f`](NixOS/nixpkgs@debf9a3) .editorconfig: add compilers/elm/registry.dat
* [`a49a59bc`](NixOS/nixpkgs@a49a59b) amd-libflame: init at 2.2
* [`2f6a18af`](NixOS/nixpkgs@2f6a18a) nixos/netadata: enable simple sandboxing
* [`1439eaf0`](NixOS/nixpkgs@1439eaf) buildRustCrate: editorconfig fixes
* [`c8b3a0a9`](NixOS/nixpkgs@c8b3a0a) blackmagic: unstable-2020-02-20 -> unstable-2020-08-05
* [`df53f4fd`](NixOS/nixpkgs@df53f4f) lokalise2: init at 2.6.0
* [`9ef63825`](NixOS/nixpkgs@9ef6382) .editorconfig: add upstream-updater
* [`2bc671bc`](NixOS/nixpkgs@2bc671b) vscode-extensions.ms-vscode.cpptools: 0.27.1 -> 0.29.0
* [`da65bc1c`](NixOS/nixpkgs@da65bc1) vscode-extensions.ms-python.python: 2020.3.71659 -> 2020.7.96456
* [`86c9e2c0`](NixOS/nixpkgs@86c9e2c) .github/workflows/editorconfig.yml: skip when diff is empty
* [`d9d27abc`](NixOS/nixpkgs@d9d27ab) lisp-modules/iterate.darcs-context: delete
* [`96069f7d`](NixOS/nixpkgs@96069f7) vmpk: fix build
* [`74ee01db`](NixOS/nixpkgs@74ee01d) accerciser: 3.36.2 -> 3.36.3
* [`863e3a65`](NixOS/nixpkgs@863e3a6) evolution-data-server: 3.36.4 -> 3.36.5
* [`e15cab8e`](NixOS/nixpkgs@e15cab8) firejail: add patches to fix CVE-2020-17367 and CVE-2020-17368
* [`b87c7ec3`](NixOS/nixpkgs@b87c7ec) evolution: 3.36.4 -> 3.36.5
* [`04989d7f`](NixOS/nixpkgs@04989d7) maintainers: add gvolpe
* [`b987a313`](NixOS/nixpkgs@b987a31) dconf2nix: init at 0.5.0
* [`0db5e08e`](NixOS/nixpkgs@0db5e08) python3Packages.msrest: 0.6.17 -> 0.6.18
* [`baa07a87`](NixOS/nixpkgs@baa07a8) azure-cli: 2.9.0 -> 2.10.1
* [`bcdc5a92`](NixOS/nixpkgs@bcdc5a9) python3Packages.azure-core: fix tests
* [`e4133302`](NixOS/nixpkgs@e413330) python3Packages.cherrypy: 18.3.0 -> 18.6.0
* [`2d918db2`](NixOS/nixpkgs@2d918db) wineUnstable: 5.12 -> 5.13
* [`5ce323ab`](NixOS/nixpkgs@5ce323a) wineUnstable: 5.13 -> 5.14
* [`a81e873f`](NixOS/nixpkgs@a81e873) minizinc: 2.2.3 -> 2.4.3, fix build
* [`e0983672`](NixOS/nixpkgs@e098367) hepmc3: 3.2.0 -> 3.2.2
* [`23d6cd32`](NixOS/nixpkgs@23d6cd3) root: don't propagated python interpreter
* [`22cc69ca`](NixOS/nixpkgs@22cc69c) python2Packages.cryptography: pin to 2.9.2
* [`6f17a51e`](NixOS/nixpkgs@6f17a51) python2Packages.cryptography-vectors: pin at 2.9.2
* [`9344a177`](NixOS/nixpkgs@9344a17) scrcpy: 1.14 -> 1.15.1
* [`0772bb35`](NixOS/nixpkgs@0772bb3) iruby: init at 0.3.0
* [`3ceabbdd`](NixOS/nixpkgs@3ceabbd) ledger-live-desktop: 2.8.0 -> 2.9.0
* [`d6b2b377`](NixOS/nixpkgs@d6b2b37) deno: 1.2.2 -> 1.2.3
* [`19e63234`](NixOS/nixpkgs@19e6323) _1password-gui: init at 0.8.0
* [`442f30ae`](NixOS/nixpkgs@442f30a) python3Packages.dash_core_components: 1.10.1 -> 1.10.2
* [`52542ddc`](NixOS/nixpkgs@52542dd) python3Packages.dash_renderer: 1.5.0 -> 1.6.0
* [`2883f9f7`](NixOS/nixpkgs@2883f9f) python3Packages.dash_table: 4.8.1 -> 4.9.0
* [`5ee08170`](NixOS/nixpkgs@5ee0817) python3Packages.dash: 1.13.3 -> 1.14.0
* [`ef062c12`](NixOS/nixpkgs@ef062c1) urserver: init at 3.6.0.745
* [`51410822`](NixOS/nixpkgs@5141082) nixos/urserver: init
* [`86a347d8`](NixOS/nixpkgs@86a347d) shattered-pixel-dungeon: 0.8.1a -> 0.8.2
* [`6cfda0e9`](NixOS/nixpkgs@6cfda0e) shattered-pixel-dungeon: add nixos test
* [`e84a1c5c`](NixOS/nixpkgs@e84a1c5) pythonPackages.flask_assets: fix tests
* [`93023e8b`](NixOS/nixpkgs@93023e8) corerad: 0.2.7 -> 0.2.8
* [`15e5ad6c`](NixOS/nixpkgs@15e5ad6) nixos/corerad: use SIGHUP to restart the service
* [`342ce061`](NixOS/nixpkgs@342ce06) python3Packages.aiohttp-jinja2: ignore DeprecationWarnings
* [`1f191978`](NixOS/nixpkgs@1f19197) epiphany: 3.36.3 -> 3.36.4
* [`41d1d1d2`](NixOS/nixpkgs@41d1d1d) broot: 0.19.3 -> 0.19.4
* [`0a2d60b2`](NixOS/nixpkgs@0a2d60b) newsflash: 1.0.2 -> 1.0.4
* [`cc06d7a2`](NixOS/nixpkgs@cc06d7a) buildGoModule: change doCheck default to true
* [`cea7cd90`](NixOS/nixpkgs@cea7cd9) buildGoModule packages: set doCheck = false
* [`264475ce`](NixOS/nixpkgs@264475c) buildGoModule packages: remove doCheck = true
* [`7602e05d`](NixOS/nixpkgs@7602e05) element-desktop: 1.7.2 -> 1.7.3
* [`a98a34e8`](NixOS/nixpkgs@a98a34e) .github/dependabot.yml: disable
* [`044f18a6`](NixOS/nixpkgs@044f18a) drone-cli: 1.2.1 -> 1.2.2
* [`6517bfb5`](NixOS/nixpkgs@6517bfb) evolution-ews: 3.36.4 -> 3.36.5
* [`32b46dd8`](NixOS/nixpkgs@32b46dd) file-roller: 3.36.2 -> 3.36.3
lovesegfault added a commit to lovesegfault/nix-config that referenced this pull request Aug 13, 2020
## Changelog for nixpkgs:
Commits: [NixOS/nixpkgs@8e2b14a...32b46dd8](NixOS/nixpkgs@8e2b14a...32b46dd)

* [`585e00a3`](NixOS/nixpkgs@585e00a) imgproxy: 2.14.0 -> 2.14.1
* [`0ca9e6b2`](NixOS/nixpkgs@0ca9e6b) ghq: 1.1.2 -> 1.1.5
* [`31e67d68`](NixOS/nixpkgs@31e67d6) giada: 0.16.3 -> 0.16.3.1
* [`6e276d36`](NixOS/nixpkgs@6e276d3) dbmate: 1.9.0 -> 1.9.1
* [`30469ea4`](NixOS/nixpkgs@30469ea) grml-zsh-config: 0.17.3 -> 0.17.4
* [`37e6ac04`](NixOS/nixpkgs@37e6ac0) flyctl: 0.0.135 -> 0.0.137
* [`9175f114`](NixOS/nixpkgs@9175f11) fwts: 20.06.01 -> 20.07.00
* [`c337ad41`](NixOS/nixpkgs@c337ad4) cockroachdb: 20.1.2 -> 20.1.3
* [`2cfff96e`](NixOS/nixpkgs@2cfff96) qtwebkit: 5.212-alpha-01-26-2018 -> 5.212.0-alpha4
* [`014d494e`](NixOS/nixpkgs@014d494) faudio: 20.07 -> 20.08
* [`3a49eaa7`](NixOS/nixpkgs@3a49eaa) mnemosyne: 2.7.1 -> 2.7.2
* [`6d85f8d5`](NixOS/nixpkgs@6d85f8d) python27Packages.braintree: 4.2.0 -> 4.3.0
* [`585aa266`](NixOS/nixpkgs@585aa26) gitlab-runner: 13.2.0 -> 13.2.2 (NixOS/nixpkgs#94818)
* [`febbcb62`](NixOS/nixpkgs@febbcb6) nim: 1.2.4 -> 1.2.6
* [`0ca30931`](NixOS/nixpkgs@0ca3093) snapper: 0.8.10 -> 0.8.12
* [`3012ed98`](NixOS/nixpkgs@3012ed9) waybar: 0.9.2 -> 0.9.3
* [`6c2f1e7f`](NixOS/nixpkgs@6c2f1e7) octopus: 9.2 -> 10.0
* [`91da8094`](NixOS/nixpkgs@91da809) thunderbird-bin: 78.1.0 -> 78.1.1
* [`821146db`](NixOS/nixpkgs@821146d) thunderbird: 78.1.0 -> 78.1.1
* [`1e99541b`](NixOS/nixpkgs@1e99541) thunderbird-bin: 68.10.0 -> 68.11.0
* [`997e6315`](NixOS/nixpkgs@997e631) thunderbird: 68.10.0 -> 68.11.0
* [`ba930d86`](NixOS/nixpkgs@ba930d8) nixos/modules: remove trailing whitespace
* [`49ef0fd5`](NixOS/nixpkgs@49ef0fd) rocclr: fix build (no OpenCL library is required)
* [`3f13e1af`](NixOS/nixpkgs@3f13e1a) openmpi: enable C++ bindings
* [`da88c6ee`](NixOS/nixpkgs@da88c6e) nixos/railcar: fix typo
* [`9bae9409`](NixOS/nixpkgs@9bae940) mame: 0.222 -> 0.223 (NixOS/nixpkgs#94853)
* [`dd25bb75`](NixOS/nixpkgs@dd25bb7) cgal: add patch so include files can be found by dependent packages
* [`2b09ecd1`](NixOS/nixpkgs@2b09ecd) pythonPackages.cot: init at 2.2.1
* [`a10a9a77`](NixOS/nixpkgs@a10a9a7) otfcc: fix aarch64 compatibility
* [`8af72d55`](NixOS/nixpkgs@8af72d5) osu-lazer: osu-lazer: 2020.801.0 -> 2020.806.0
* [`4efcd73d`](NixOS/nixpkgs@4efcd73) azure-cli: pin cryptography
* [`ce10e04a`](NixOS/nixpkgs@ce10e04) cramfsprogs: init at 1.1
* [`07ea06b1`](NixOS/nixpkgs@07ea06b) cramfsswap: Make binary available
* [`35c702cc`](NixOS/nixpkgs@35c702c) pythonPackages.binwalk: add dependencies
* [`e165f419`](NixOS/nixpkgs@e165f41) LTS Haskell 16.8
* [`9613e64f`](NixOS/nixpkgs@9613e64) hackage2nix: update list of broken packages to fix evaluation errors
* [`7b3dbe3d`](NixOS/nixpkgs@7b3dbe3) ghc-{8.8.3, 8.8.4, 8.10.1}: fix typos
* [`81475fab`](NixOS/nixpkgs@81475fa) hackage-packages.nix: automatic Haskell package set update
* [`a08c537c`](NixOS/nixpkgs@a08c537) ghc-8.10.x: update override for dhall
* [`b38e6cf1`](NixOS/nixpkgs@b38e6cf) ghc-8.10.x: update override for optics-core
* [`f50a34bb`](NixOS/nixpkgs@f50a34b) haskell-lsp-test: update override to the latest version
* [`ed162342`](NixOS/nixpkgs@ed16234) ghcHEAD: 8.11.20200505 -> 8.11.20200731
* [`adcaeef3`](NixOS/nixpkgs@adcaeef) wob: 0.8 -> 0.9
* [`036d9248`](NixOS/nixpkgs@036d924) python3Packages.vega: fix build
* [`c9c957d4`](NixOS/nixpkgs@c9c957d) gopls: 0.4.3 -> 0.4.4 (NixOS/nixpkgs#94888)
* [`2204f74b`](NixOS/nixpkgs@2204f74) hdhomerun-config-gui: init at 20200521
* [`e768fce7`](NixOS/nixpkgs@e768fce) libhdhomerun: add comment about UDP firewall rule
* [`716cd39e`](NixOS/nixpkgs@716cd39) qt-video-wlr: init at 2020-08-03
* [`c10db9c1`](NixOS/nixpkgs@c10db9c) bazelisk: 1.5.0 -> 1.6.0
* [`8fb410c0`](NixOS/nixpkgs@8fb410c) nixos/*: editorconfig fixes
* [`f20d864c`](NixOS/nixpkgs@f20d864) the-powder-toy: 94.1 -> 95.0
* [`8659095c`](NixOS/nixpkgs@8659095) vale: 2.2.2 -> 2.3.0
* [`84d26ecb`](NixOS/nixpkgs@84d26ec) asdf: don't restrict to linux, since darwin works too
* [`102864c2`](NixOS/nixpkgs@102864c) pythonPackages.jupyterhub: 1.0.0 -> 1.1.0
* [`b794182c`](NixOS/nixpkgs@b794182) pythonPackages.jupyter-telemetry: init at 0.1.0
* [`86fbad84`](NixOS/nixpkgs@86fbad8) ocamlPackages.lua-ml: 0.9 → 0.9.1
* [`d7ea32d9`](NixOS/nixpkgs@d7ea32d) rclone: 1.52.2 -> 1.52.3
* [`a80b05f4`](NixOS/nixpkgs@a80b05f) rclone: add marsam to maintainers
* [`b8dfca14`](NixOS/nixpkgs@b8dfca1) coq_8_12: 8.12+β1 → 8.12.0
* [`99f6fe15`](NixOS/nixpkgs@99f6fe1) pythonPackages.batchspawer: init at 1.0.0
* [`dcde3405`](NixOS/nixpkgs@dcde340) pythonPackages.dockerspawner: init at 0.11.1
* [`5d22e3ce`](NixOS/nixpkgs@5d22e3c) electrum: 3.3.8 -> 4.0.2
* [`3c375e0e`](NixOS/nixpkgs@3c375e0) pythonPackages.protobuf: Use default version of protobuf
* [`18b5eb3f`](NixOS/nixpkgs@18b5eb3) kodi: 18.6 -> 18.8
* [`3e6f7d3b`](NixOS/nixpkgs@3e6f7d3) python3Packages.sacremoses: enable on all Unix platforms
* [`ac998199`](NixOS/nixpkgs@ac99819) python3Packages.transformers: enable on all Unix platforms
* [`fa2b8b01`](NixOS/nixpkgs@fa2b8b0) maintainers.0x4A6F: update email
* [`cb8a5e5b`](NixOS/nixpkgs@cb8a5e5) spaceship-prompt: install prompt_spaceship_setup (NixOS/nixpkgs#94604)
* [`6ffc0fd6`](NixOS/nixpkgs@6ffc0fd) python3Packages.pytorch: fix Darwin build by disabling GCD
* [`bc7b404b`](NixOS/nixpkgs@bc7b404) python3Packages.pytorch: fix library names in lib output on Darwin
* [`ddd897c2`](NixOS/nixpkgs@ddd897c) prosody: update community modules to revision 2dcbc01c9931
* [`208a219d`](NixOS/nixpkgs@208a219) kmetronome: init at 1.0.1
* [`32b7270c`](NixOS/nixpkgs@32b7270) range-v3: 0.10.0 -> 0.11.0 (NixOS/nixpkgs#94887)
* [`6866904f`](NixOS/nixpkgs@6866904) Revert NixOS/nixpkgs#93761: "audacity: 2.4.1 -> 2.4.2"
* [`e67b1c28`](NixOS/nixpkgs@e67b1c2) gns3-{gui,server}: 2.2.11 -> 2.2.12
* [`b5eb3228`](NixOS/nixpkgs@b5eb322) gollum: 5.0.1 -> 5.1
* [`a2498f5a`](NixOS/nixpkgs@a2498f5) gns3-gui: Replace qt5Full with wrapQtApp (proper solution)
* [`5e7d581f`](NixOS/nixpkgs@5e7d581) libhugetlbfs: init at 2.22
* [`397d06d2`](NixOS/nixpkgs@397d06d) jitsi: fix desktop category; patch
* [`03905638`](NixOS/nixpkgs@0390563) luaPackages.pulseaudio: remove (NixOS/nixpkgs#94939)
* [`e7987936`](NixOS/nixpkgs@e798793) tdesktop: Add a temporary workaround to fix the Linux build
* [`416b44da`](NixOS/nixpkgs@416b44d) effitask: init at 1.4.0
* [`98b96710`](NixOS/nixpkgs@98b9671) linux: 4.14.192 -> 4.14.193
* [`4376b9ab`](NixOS/nixpkgs@4376b9a) linux: 4.19.137 -> 4.19.138
* [`7964867f`](NixOS/nixpkgs@7964867) linux: 5.4.56 -> 5.4.57
* [`b4fc816b`](NixOS/nixpkgs@b4fc816) linux: 5.7.13 -> 5.7.14
* [`ddc91f6f`](NixOS/nixpkgs@ddc91f6) tanka: init at v0.11.1
* [`5debd8c0`](NixOS/nixpkgs@5debd8c) terraform-provider-keycloak: init at 1.20.0
* [`8315778d`](NixOS/nixpkgs@8315778) arduino-cli: init at 0.11.0
* [`d9f98bbe`](NixOS/nixpkgs@d9f98bb) wg-bond: init at 0.2.0
* [`c5b578cf`](NixOS/nixpkgs@c5b578c) jicofo: 1.0-589 -> 1.0-612
* [`8e52c2a6`](NixOS/nixpkgs@8e52c2a) nixos/networking: Enhance hostId description (NixOS/nixpkgs#94800)
* [`44906f07`](NixOS/nixpkgs@44906f0) jitsi-videobridge: 2.1-202-g5f9377b9 -> 2.1-273-g072dd44b
* [`ddacd5d0`](NixOS/nixpkgs@ddacd5d) jitsi-meet: 1.0.4127 -> 1.0.4289
* [`7a18043f`](NixOS/nixpkgs@7a18043) steam: chroot: export STEAM_LD_LIBRARY_PATH
* [`050ab81b`](NixOS/nixpkgs@050ab81) pythonPackages.dask-gateway: init at 0.8.0
* [`7b04c0ff`](NixOS/nixpkgs@7b04c0f) pythonPackages.dask-gateway-server: init at 0.8.0
* [`069d28d3`](NixOS/nixpkgs@069d28d) pythonPackages.uvcclient: init at 0.11.0
* [`b0110612`](NixOS/nixpkgs@b011061) home-assistant: regenerate component packages
* [`4d9dec0a`](NixOS/nixpkgs@4d9dec0) nixos/ipfs: add QUIC transport to swarmAddress list
* [`732334c1`](NixOS/nixpkgs@732334c) shadowsocks-rust: 1.8.13 -> 1.8.14
* [`be9676bd`](NixOS/nixpkgs@be9676b) EmptyEpsilon: 2020-04-09 -> 2020-08-07
* [`3c7fe5bb`](NixOS/nixpkgs@3c7fe5b) python3Packages.dlib: 19.20 -> 19.21
* [`142da76d`](NixOS/nixpkgs@142da76) gitAndTools.delta: 0.4.0 -> 0.4.1
* [`a797f7ce`](NixOS/nixpkgs@a797f7c) python3Packages.hass-nabucasa: relax cryptography dependency
* [`d6e21aa1`](NixOS/nixpkgs@d6e21aa) home-assistant: relax cryptography dependency
* [`236aa441`](NixOS/nixpkgs@236aa44) tre-command: 0.3.1 -> 0.3.2
* [`a3b66fa6`](NixOS/nixpkgs@a3b66fa) python3Packages.dask: 2.14.0 -> 2.22.0
* [`f6988ba8`](NixOS/nixpkgs@f6988ba) python3Packages.streamz: 0.5.2 -> 0.5.4
* [`4d83f451`](NixOS/nixpkgs@4d83f45) python3Packages.stumpy: 1.0 -> 1.4
* [`c2566714`](NixOS/nixpkgs@c256671) python3Packages.dask-image: 0.2.0 -> 0.3.0
* [`bba261c7`](NixOS/nixpkgs@bba261c) caffe: fix build
* [`23c9c95a`](NixOS/nixpkgs@23c9c95) openrgb: 0.2 -> 0.3
* [`3f19239e`](NixOS/nixpkgs@3f19239) python3Packages.nix-kernel: init at 0.1
* [`d92cc4ce`](NixOS/nixpkgs@d92cc4c) maintainers: add elliottvillars
* [`e449d07a`](NixOS/nixpkgs@e449d07) pythonPackages.hdlparse: init at 1.0.4
* [`debf9a3f`](NixOS/nixpkgs@debf9a3) .editorconfig: add compilers/elm/registry.dat
* [`a49a59bc`](NixOS/nixpkgs@a49a59b) amd-libflame: init at 2.2
* [`2f6a18af`](NixOS/nixpkgs@2f6a18a) nixos/netadata: enable simple sandboxing
* [`1439eaf0`](NixOS/nixpkgs@1439eaf) buildRustCrate: editorconfig fixes
* [`c8b3a0a9`](NixOS/nixpkgs@c8b3a0a) blackmagic: unstable-2020-02-20 -> unstable-2020-08-05
* [`df53f4fd`](NixOS/nixpkgs@df53f4f) lokalise2: init at 2.6.0
* [`9ef63825`](NixOS/nixpkgs@9ef6382) .editorconfig: add upstream-updater
* [`2bc671bc`](NixOS/nixpkgs@2bc671b) vscode-extensions.ms-vscode.cpptools: 0.27.1 -> 0.29.0
* [`da65bc1c`](NixOS/nixpkgs@da65bc1) vscode-extensions.ms-python.python: 2020.3.71659 -> 2020.7.96456
* [`86c9e2c0`](NixOS/nixpkgs@86c9e2c) .github/workflows/editorconfig.yml: skip when diff is empty
* [`d9d27abc`](NixOS/nixpkgs@d9d27ab) lisp-modules/iterate.darcs-context: delete
* [`96069f7d`](NixOS/nixpkgs@96069f7) vmpk: fix build
* [`74ee01db`](NixOS/nixpkgs@74ee01d) accerciser: 3.36.2 -> 3.36.3
* [`863e3a65`](NixOS/nixpkgs@863e3a6) evolution-data-server: 3.36.4 -> 3.36.5
* [`e15cab8e`](NixOS/nixpkgs@e15cab8) firejail: add patches to fix CVE-2020-17367 and CVE-2020-17368
* [`b87c7ec3`](NixOS/nixpkgs@b87c7ec) evolution: 3.36.4 -> 3.36.5
* [`04989d7f`](NixOS/nixpkgs@04989d7) maintainers: add gvolpe
* [`b987a313`](NixOS/nixpkgs@b987a31) dconf2nix: init at 0.5.0
* [`0db5e08e`](NixOS/nixpkgs@0db5e08) python3Packages.msrest: 0.6.17 -> 0.6.18
* [`baa07a87`](NixOS/nixpkgs@baa07a8) azure-cli: 2.9.0 -> 2.10.1
* [`bcdc5a92`](NixOS/nixpkgs@bcdc5a9) python3Packages.azure-core: fix tests
* [`e4133302`](NixOS/nixpkgs@e413330) python3Packages.cherrypy: 18.3.0 -> 18.6.0
* [`2d918db2`](NixOS/nixpkgs@2d918db) wineUnstable: 5.12 -> 5.13
* [`5ce323ab`](NixOS/nixpkgs@5ce323a) wineUnstable: 5.13 -> 5.14
* [`a81e873f`](NixOS/nixpkgs@a81e873) minizinc: 2.2.3 -> 2.4.3, fix build
* [`e0983672`](NixOS/nixpkgs@e098367) hepmc3: 3.2.0 -> 3.2.2
* [`23d6cd32`](NixOS/nixpkgs@23d6cd3) root: don't propagated python interpreter
* [`22cc69ca`](NixOS/nixpkgs@22cc69c) python2Packages.cryptography: pin to 2.9.2
* [`6f17a51e`](NixOS/nixpkgs@6f17a51) python2Packages.cryptography-vectors: pin at 2.9.2
* [`9344a177`](NixOS/nixpkgs@9344a17) scrcpy: 1.14 -> 1.15.1
* [`0772bb35`](NixOS/nixpkgs@0772bb3) iruby: init at 0.3.0
* [`3ceabbdd`](NixOS/nixpkgs@3ceabbd) ledger-live-desktop: 2.8.0 -> 2.9.0
* [`d6b2b377`](NixOS/nixpkgs@d6b2b37) deno: 1.2.2 -> 1.2.3
* [`19e63234`](NixOS/nixpkgs@19e6323) _1password-gui: init at 0.8.0
* [`442f30ae`](NixOS/nixpkgs@442f30a) python3Packages.dash_core_components: 1.10.1 -> 1.10.2
* [`52542ddc`](NixOS/nixpkgs@52542dd) python3Packages.dash_renderer: 1.5.0 -> 1.6.0
* [`2883f9f7`](NixOS/nixpkgs@2883f9f) python3Packages.dash_table: 4.8.1 -> 4.9.0
* [`5ee08170`](NixOS/nixpkgs@5ee0817) python3Packages.dash: 1.13.3 -> 1.14.0
* [`ef062c12`](NixOS/nixpkgs@ef062c1) urserver: init at 3.6.0.745
* [`51410822`](NixOS/nixpkgs@5141082) nixos/urserver: init
* [`86a347d8`](NixOS/nixpkgs@86a347d) shattered-pixel-dungeon: 0.8.1a -> 0.8.2
* [`6cfda0e9`](NixOS/nixpkgs@6cfda0e) shattered-pixel-dungeon: add nixos test
* [`e84a1c5c`](NixOS/nixpkgs@e84a1c5) pythonPackages.flask_assets: fix tests
* [`93023e8b`](NixOS/nixpkgs@93023e8) corerad: 0.2.7 -> 0.2.8
* [`15e5ad6c`](NixOS/nixpkgs@15e5ad6) nixos/corerad: use SIGHUP to restart the service
* [`342ce061`](NixOS/nixpkgs@342ce06) python3Packages.aiohttp-jinja2: ignore DeprecationWarnings
* [`1f191978`](NixOS/nixpkgs@1f19197) epiphany: 3.36.3 -> 3.36.4
* [`41d1d1d2`](NixOS/nixpkgs@41d1d1d) broot: 0.19.3 -> 0.19.4
* [`0a2d60b2`](NixOS/nixpkgs@0a2d60b) newsflash: 1.0.2 -> 1.0.4
* [`cc06d7a2`](NixOS/nixpkgs@cc06d7a) buildGoModule: change doCheck default to true
* [`cea7cd90`](NixOS/nixpkgs@cea7cd9) buildGoModule packages: set doCheck = false
* [`264475ce`](NixOS/nixpkgs@264475c) buildGoModule packages: remove doCheck = true
* [`7602e05d`](NixOS/nixpkgs@7602e05) element-desktop: 1.7.2 -> 1.7.3
* [`a98a34e8`](NixOS/nixpkgs@a98a34e) .github/dependabot.yml: disable
* [`044f18a6`](NixOS/nixpkgs@044f18a) drone-cli: 1.2.1 -> 1.2.2
* [`6517bfb5`](NixOS/nixpkgs@6517bfb) evolution-ews: 3.36.4 -> 3.36.5
* [`32b46dd8`](NixOS/nixpkgs@32b46dd) file-roller: 3.36.2 -> 3.36.3
toraritte added a commit to toraritte/nixpkgs that referenced this pull request Aug 22, 2020
Co-authored-by: Jörg Thalheim <Mic92@users.noreply.github.com>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants
You can’t perform that action at this time.